de la mise à jour des versions

Avell Diroll avelldiroll at gmail.com
Sam 12 Déc 12:43:06 GMT 2009


alain wrote:
> j'ai deux questions à vous poser :
> 
> la première : que se passera t il pour ubuntu 8.04.3lts à la sortie de
> la nouvelle version ? sera t il mis à jour automatiquement ?

  La durée du support pour les versions LTS est de 3 ans pour une 
utilisation "de bureau" (desktop) et de 5 ans pour une utilisation 
"serveur". Ce qui veut dire que les mises à jour (correctif et sécurité, 
pas de nouvelle fonctionnalité) vont continuer pour la 8.04 jusqu'en 
avril 2011 pour tous les paquets supportés, et jusqu'en avril 2013 pour 
les paquets "serveur".
  A la sortie de Lucid Lynx (qui si tout se passe bien sera la 10.4 
LTS), prévue pour fin avril 2010, les utilisateurs de la 8.04 LTS se 
verront proposer de mettre à jour leur système dans le gestionnaire de 
mise à jour (un bouton supplémentaire et explicite apparaît pour 
l'occasion). La mise à jour est bien sûr optionnelle et non automatique. 
Il sera alors possible de migrer vers la nouvelle version de la LTS au 
moment que l'on désire (avant la fin du support de la 8.04 bien sûr, il 
est déconseillé d'utiliser un système non supporté il est donc de bonne 
pratique de prévoir sa migration avant la fin du support).

> la seconde : sur ma lts, je dispose de openoffice 2.4 ; comment passer à
> la derniere version pour linux si elle existe pour la 8.04.3 et quel est
> son no ?

  Il y a plusieurs moyens de réaliser cela, mais le besoin d'utiliser la 
dernière version d'openoffice contredit le choix d'utiliser une version 
"LTS" au lieu du version "stable".
  La "LTS", à mon avis, s'adresse à des utilisateurs qui ne veulent pas 
changer de version tous les 6 mois au profit d'un environnement de 
travail stabilisé (je ne parle pas ici de stabilité du système). Une 
"LTS" correspond bien aux besoins d'une personne désirant un serveur 
stable sans les dernières fioritures ou un ordinateur de bureau avec une 
tâche bien identifiée à la mise en place de la machine. Si la tâche de 
la machine évolue, je préfère conseiller de faire évoluer le système 
plutôt que d'ajouter une rustine par-ci par-là.

  Par ailleurs il faut rappeler que toute installation de paquets 
"externes" à une distribution (il y en a probablement pour openoffice) 
est risque apporté à la stabilité du système. Il faut donc, avant de 
mettre à jour manuellement une application bien établir ses priorités 
(stabilité vs nouveauté).

  Enfin si "utiliser la 8.04 LTS" et "utiliser le dernier openoffice" 
sont deux éléments indissociables du cahier des charges, je conseillerai 
d'installer le binaire fournit par openoffice (et non le .deb) et de 
l'installer dans l'espace utilisateur (ou dans /opt si il y a plus d'un 
utilisateur) en parallèle de l'openoffice 2.4 "supporté" afin de ne pas 
avoir de surprise lors d'un éventuel changement de version d'ubuntu (une 
migration vers Lucid Lynx par exemple ...).

  Au risque de me répéter, je pense que quelqu'un qui a besoin de passer 
d'OOo 2.4 à OOo 3.x devrait utiliser une version "stable" plutôt qu'une LTS.

  J'irais même plus loin en reprenant le phrasé exact de la question:
Ubuntu n'est pas une distribution qui s'adresse aux gens désirant 
utiliser "la derniere version pour linux" des logiciels, elle vise 
plutôt une expérience homogène et stable. Il y a beaucoup de 
distributions qui évoluent en proposant les toutes dernières versions 
(je pense à arch et à gentoo mais il y en a plein d'autres), mais elle 
ne s'adressent pas aux mêmes utilisateurs.

Bonne continuation

Ju
-- 
A man without religion, is like a fish without a bicycle.




Plus d'informations sur la liste de diffusion ubuntu-fr